##
##  TODO: make it lib64 clean
##
%define buildfor_mdk90  %(awk '{print ($4 == "9.0")}' %{_sysconfdir}/mandrake-release)
%define pref 	%{_prefix}
%define python 	%{_bindir}/python
%define pythonver 	2.3
%define debug 	0
%define port  	GTK
%define lcport 	gtk2u
%define tarname wxPython-src
%define version 2.6.3.3
%define ver2    2.6
%define release %mkrel 2
%define wxpref  %{pref}/lib/wxPython

# Should --enable-debug_flag be used in release builds?
%define debug_flag 0
%define name      wxPython%{port}
%define major %ver2
%if %buildfor_mdk90
%define libname lib%{name}%{major}
%else
%define libname %mklibname %{name} %{major}
%endif

%define wxconfigname %{wxpref}/lib/wx/config/gtk2-unicode-release-%ver2

%{?!py_puresitedir:%define py_puresitedir %_libdir/python%pyver/site-packages}
#----------------------------------------------------------------
Summary:   Cross platform GUI toolkit for Python using wx%{port}
Name:      %{name}
Version:   %{version}
Release:   %{release}
Source0:   http://prdownloads.sourceforge.net/wxpython/%{tarname}-%{version}.tar.bz2
License:   LGPL/wxWindows Library Licence, Version 3
URL:       http://wxPython.org/
Group:     Development/Python
BuildRoot: %{_tmppath}/%{name}-buildroot
%if %mdkversion > 200700
BuildRequires: libmesaglu-devel
%else
BuildRequires: libMesaGLU-devel
%endif
BuildRequires: libpython-devel >= %pythonver
BuildRequires: gtk2-devel
BuildRequires: SDL-devel
BuildRequires: libjpeg-devel
BuildRequires: libpng-devel
BuildRequires: libtiff-devel

Provides: wxwin
Provides: wxPython  = %{version}
# old wxPython packages
Obsoletes: wxPython
Requires: %libname = %version
 
%description
wxPython is a GUI toolkit for Python that is a wrapper around the
wxWindows C++ GUI library.  wxPython provides a large variety of
window types and controls, all implemented with a native look and feel
(and native runtime speed) on the platforms it is supported on.

This package is implemented using the %{port} port of wxWindows.

%package -n %libname
Summary: Shared library of wxGTK for wxPythonGTK
Group: System/Libraries

%description -n %libname
This is the internal version of the wxGTK shared library included 
in wxPythonGTK.

%package -n %libname-devel
Summary: Development files of wxPython%{port}
Group: Development/Python
Provides: libwxPythonGTK-devel = %version-%release
Provides: libwxPythonGTK2.3-devel = %version-%release
Requires: wxPython%{port} = %{version}
Requires: %libname = %{version}
%define _requires_exceptions devel.libwx_

%description -n %libname-devel
This packages contains the headers and etc. for building apps or
Python extension modules that use the same wx%{port} shared libraries
that wxPython uses.

%prep
%setup -q -n %{tarname}-%{version}
mkdir bld

%build
WXDIR=`pwd`

# Configure and build wxWidgets
cd bld
# Configure, trying to reduce dependencies
../configure --with-%{lcport} \
	--prefix=%{wxpref} \
	--enable-monolithic \
	--disable-rpath \
	--with-opengl \
	--enable-geometry \
	--enable-optimise \
	--enable-sound 	--with-sdl \
	--enable-display \
%if %{debug}
	--enable-debug \
%else
	--enable-optimise \
%if %{debug_flag}
	--enable-debug_flag \
%endif
%endif
	--with-libjpeg=sys \
	--with-libpng=sys \
	--with-libtiff=sys \
	--with-zlib=sys \
        --enable-gtk2 \
        --enable-unicode \
	--enable-exceptions \
	--enable-catch_segvs \
##	--enable-debug_flag \
##	--with-odbc \


# Build wxWindows
make
%make -C contrib/src/animate 
%make -C contrib/src/gizmos 
%make -C contrib/src/stc


cd ../locale
make allmo

# Now build wxPython
cd $WXDIR/wxPython
%{python} setup.py \
	WXPORT='gtk2'\
	UNICODE=1 \
	EP_ADD_OPTS=1 \
	NO_SCRIPTS=1 \
	WX_CONFIG="$WXDIR/bld/wx-config --no_rpath" \
       	build_ext --rpath=%{wxpref}/lib \
	build

%install
rm -rf %buildroot %name.lang
WXDIR=`pwd`

# Install wxGTK and contribs
cd bld
make prefix=$RPM_BUILD_ROOT%{wxpref} install
make -C contrib/src/animate prefix=$RPM_BUILD_ROOT%{wxpref} install
make -C contrib/src/gizmos prefix=$RPM_BUILD_ROOT%{wxpref} install
make -C contrib/src/stc prefix=$RPM_BUILD_ROOT%{wxpref} install

cd $WXDIR/wxPython
%{python} setup.py \
	WXPORT='gtk2'\
	UNICODE=1 \
	EP_ADD_OPTS=1 \
	NO_SCRIPTS=1 \
	WX_CONFIG="$RPM_BUILD_ROOT%{wxpref}/bin/wx-config --prefix=$RPM_BUILD_ROOT%{wxpref} --no_rpath" \
       	build_ext --rpath=%{wxpref}/lib \
	install \
	--root=$RPM_BUILD_ROOT

# Since I want this RPM to be as generic as possible I won't let
# distutils copy the scripts, since it will mangle the #! line
# to use the real python pathname.  Since some distros install
# python 2.2 as python2 and others as python, then I can't let
# it do that otherwise the dependencies will be fouled up.  Copy
# them manually instead:

mkdir -p $RPM_BUILD_ROOT%{_bindir}
for s in \
	helpviewer \
	img2png \
	img2py \
	img2xpm \
	pyalacarte \
	pyalamode \
	pycrust \
	pywrap \
	pyshell \
	pywxrc \
	xrced; do
    cp scripts/$s $RPM_BUILD_ROOT%{_bindir}
done

cd ..
for subdir in %buildroot%{wxpref}/share/locale/*;do
echo "%lang($(basename $subdir)) $(echo $subdir|sed s!%buildroot!!)" >> %name.lang
done

#gw fix wx-config symlink
ln -sf %{wxconfigname} %buildroot%wxpref/bin/wx-config

#gw hmm, let's remove this:
rm -rf %buildroot/include

#menu
# install Mandrake menu items
mkdir -p $RPM_BUILD_ROOT%{_menudir}
cat > $RPM_BUILD_ROOT%{_menudir}/%{name} <<EOF
?package(%{name}): \
	command="%{_bindir}/pyshell" \
	needs="X11" \
	icon="PyCrust.png" \
	section="More Applications/Development/Tools" \
	title="PyShell" \
	longtitle="GUI Python Shell" xdg="true"
?package(%{name}): \
	command="%{_bindir}/pycrust" \
	needs="X11" \
	icon="PyCrust.png" \
	section="More Applications/Development/Tools" \
	title="PyCrust" \
	longtitle="GUI Python Shell with Filling"  xdg="true"
?package(%{name}): \
	command="%{_bindir}/pyalamode" \
	needs="X11" \
	icon="PyCrust.png" \
	section="More Applications/Development/Tools" \
	title="PyAlaMode" \
	longtitle="GUI Python Shell with Filling and Editor Windows"  xdg="true"
?package(%{name}): \
	command="%{_bindir}/xrced" \
	needs="X11" \
	icon="XRCed.png" \
	section="More Applications/Development/Tools" \
	title="XRCed" \
	longtitle="XRC resource editor for wxPython"  xdg="true"
EOF

mkdir -p $RPM_BUILD_ROOT%{_datadir}/applications
cat > $RPM_BUILD_ROOT%{_datadir}/applications/mandriva-pyshell.desktop << EOF
[Desktop Entry]
Encoding=UTF-8
Name=PyShell
Comment=GUI Python Shell
Exec=%{_bindir}/pyshell %U
Icon=PyCrust.png
Terminal=false
Type=Application
StartupNotify=true
Categories=GNOME;GTK;Development;X-MandrivaLinux-Development-Tools;
EOF
cat > $RPM_BUILD_ROOT%{_datadir}/applications/mandriva-pycrust.desktop << EOF
[Desktop Entry]
Encoding=UTF-8
Name=PyCrust
Comment=GUI Python Shell with Filling
Exec=%{_bindir}/pycrust %U
Icon=PyCrust.png
Terminal=false
Type=Application
StartupNotify=true
Categories=GNOME;GTK;Development;X-MandrivaLinux-Development-Tools;
EOF
cat > $RPM_BUILD_ROOT%{_datadir}/applications/mandriva-pyalamode.desktop << EOF
[Desktop Entry]
Encoding=UTF-8
Name=PyAlaMode
Comment=GUI Python Shell with Filling and Editor Windows
Exec=%{_bindir}/pyalamode %U
Icon=PyCrust.png
Terminal=false
Type=Application
StartupNotify=true
Categories=GNOME;GTK;Development;X-MandrivaLinux-Development-Tools;
EOF
cat > $RPM_BUILD_ROOT%{_datadir}/applications/mandriva-xrced.desktop << EOF
[Desktop Entry]
Encoding=UTF-8
Name=XRCed
Comment=XRC resource editor for wxPython
Exec=%{_bindir}/xrced %U
Icon=XRCed.png
Terminal=false
Type=Application
StartupNotify=true
Categories=GNOME;GTK;Development;X-MandrivaLinux-Development-Tools;
EOF



#icons
cd wxPython
mkdir -p %buildroot%_miconsdir
install -m 644 wx/py/PyCrust_16.png $RPM_BUILD_ROOT%_miconsdir/PyCrust.png
install -m 644 wx/py/PyCrust_32.png $RPM_BUILD_ROOT%_iconsdir/PyCrust.png
install -m 644 wx/tools/XRCed/XRCed_16.png $RPM_BUILD_ROOT%{_miconsdir}/XRCed.png
install -m 644 wx/tools/XRCed/XRCed_32.png $RPM_BUILD_ROOT%{_iconsdir}/XRCed.png

%clean
rm -rf $RPM_BUILD_ROOT

%post
%update_menus
%postun
%clean_menus

%post -n %libname -p /sbin/ldconfig
%postun -n %libname -p /sbin/ldconfig


%files -f %name.lang
%defattr(-,root,root)
%doc docs/preamble.txt
%doc docs/licence.txt
%doc docs/readme.txt
%doc docs/changes.txt
%doc wxPython/docs/*.*
%doc wxPython/docs/screenshots
%py_platsitedir/wx-*
%py_puresitedir/wxaddons/
%py_puresitedir/wx.pth
%py_puresitedir/wxversion.py*
%dir %{wxpref}
%dir %{wxpref}/share/
%dir %{wxpref}/share/locale
%{wxpref}/share/bakefile
%{pref}/bin/*
%_menudir/%name
%_datadir/applications/mandriva-*
%_iconsdir/*.png
%_miconsdir/*.png


%files -n %libname
%defattr(-,root,root)
%dir %{wxpref}/lib
%{wxpref}/lib/libwx*.so.*


%files -n %libname-devel
%defattr(-,root,root)
%dir %{wxpref}/include/
%{wxpref}/include/wx-%ver2/
%{wxpref}/lib/*.so
%{wxpref}/lib/wx
%dir %{wxpref}/share/aclocal
%{wxpref}/share/aclocal/wxwin.m4
%dir %{wxpref}/bin
%{wxpref}/bin/wx-config
%{wxpref}/bin/wxrc*

%changelog
* Wed Jul 19 2006 Jerome Martin <jmartin@mandriva.org> 2.6.3.3-2mdv2007.0
- Fix BuildRequires for backport

* Sun Jul 16 2006 Gtz Waschk <waschk@mandriva.org> 2.6.3.3-1mdv2007.0
- update file list
- New release 2.6.3.3

* Wed Jun 21 2006 Gtz Waschk <waschk@mandriva.org> 2.6.3.2-4mdv2007.0
- fix deps of the devel package
- xdg menu

* Sun Jun 18 2006 Stefan van der Eijk <stefan@eijk.nu> 2.6.3.2-1mdv2007.0
- rebuild for png

* Sat Jun 17 2006 Gtz Waschk <waschk@mandriva.org> 2.6.3.2-2mdv2007.0
- fix buildrequires

* Wed Apr 05 2006 Götz Waschk <waschk@mandriva.org> 2.6.3.2-1mdk
- New release 2.6.3.2

* Tue Mar 28 2006 Götz Waschk <waschk@mandriva.org> 2.6.3.0-1mdk
- New release 2.6.3.0

* Mon Jan 23 2006 Gtz Waschk <waschk@mandriva.org> 2.6.2.1-2mdk
- fix build with new python

* Wed Jan 11 2006 Gtz Waschk <waschk@mandriva.org> 2.6.2.1-1mdk
- update file list
- New release 2.6.2.1
- use mkrel

* Sun Jun 05 2005 Gtz Waschk <waschk@mandriva.org> 2.6.1.0-1mdk
- New release 2.6.1.0

* Tue May 31 2005 Gtz Waschk <waschk@mandriva.org> 2.6.0.1-1mdk
- New release 2.6.0.1

* Wed Apr 27 2005 Gtz Waschk <waschk@mandriva.org> 2.6.0.0-1mdk
- add menu entries
- drop the patch
- New release 2.6.0.0

* Fri Apr 22 2005 Gtz Waschk <waschk@mandriva.org> 2.5.5.1-3mdk
- patch to support G_FILENAME_ENCODING=@locale

* Tue Apr 19 2005 Gtz Waschk <waschk@mandriva.org> 2.5.5.1-2mdk
- switch to system versions of the graphics libraries
- fix build, using the official spec as a template

* Mon Apr 18 2005 Gtz Waschk <waschk@linux-mandrake.com> 2.5.5.1-1mdk
- bump major
- New release 2.5.5.1
- drop the patch

* Wed Feb 23 2005 Christiaan Welvaart <cjw@daneel.dyndns.org> 2.5.3.1-3mdk
- Patch1: fix va_copy configure check

* Sun Dec 05 2004 Michael Scherer <misc@mandrake.org> 2.5.3.1-2mdk
- Rebuild for new python

* Wed Nov 10 2004 Gtz Waschk <waschk@linux-mandrake.com> 2.5.3.1-1mdk
- new major
- update file list
- drop obsolete patch
- New release 2.5.3.1

* Wed Nov  3 2004 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 2.5.2.7-3mdk
- fix build on x86_64

* Fri Sep 17 2004 Frederic Lepied <flepied@mandrakesoft.com> 2.5.2.7-2mdk
- activate --enable-exceptions and --enable-catch_segvs to be able to
continue when an exception occurs

* Sun Aug 15 2004 Gtz Waschk <waschk@linux-mandrake.com> 2.5.2.7-1mdk
- major 2.5_2
- update file list
- fix source URL
- New release 2.5.2.7

* Mon Jun 14 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 2.5.1.5-2mdk
- Rebuild

* Mon Apr  5 2004 Gtz Waschk <waschk@linux-mandrake.com> 2.5.1.5-1mdk
- also build contrib part of wxGTK
- new major
- fix build
- new version

* Tue Dec  2 2003 Gtz Waschk <waschk@linux-mandrake.com> 2.4.2.4-2mdk
- rebuild for missing package

* Tue Nov  4 2003 Gtz Waschk <waschk@linux-mandrake.com> 2.4.2.4-1mdk
- fix locale directories
- fix buildrequires
- switch to gtk2 port of wxGTK
- drop useless prefix
- new version

* Fri Aug 08 2003 Frederic Lepied <flepied@mandrakesoft.com> 2.4.1.2-3mdk
- python 2.3

* Wed Jul  9 2003 Gtz Waschk <waschk@linux-mandrake.com> 2.4.1.2-2mdk
- rebuild for new rpm

* Fri Jun 20 2003 Gtz Waschk <waschk@linux-mandrake.com> 2.4.1.2-1mdk
- remove install macro from a comment
- new version

* Fri May  2 2003 Gtz Waschk <waschk@linux-mandrake.com> 2.4.0.6-2mdk
- fix directory ownership

* Wed Mar 12 2003 Gtz Waschk <waschk@linux-mandrake.com> 2.4.0.6-1mdk
- fix buildrequires
- new version

* Wed Mar 12 2003 Gtz Waschk <waschk@linux-mandrake.com> 2.4.0.5-1mdk
- new version

* Sat Mar  8 2003 Gtz Waschk <waschk@linux-mandrake.com> 2.4.0.4-1mdk
- new version

* Wed Jan 29 2003 Gtz Waschk <waschk@linux-mandrake.com> 2.4.0.2-2mdk
- fix mdk9.0 build
- fix buildrequires

* Wed Jan 29 2003 Gtz Waschk <waschk@linux-mandrake.com> 2.4.0.2-1mdk
- mklibname macro
- new version

* Sat Jan 11 2003 Gtz Waschk <waschk@linux-mandrake.com> 2.4.0.1-1mdk
- update file list
- new major
- new version

* Fri Dec 27 2002 Gtz Waschk <waschk@linux-mandrake.com> 2.3.4.2-1mdk
- add missing file
- new version

* Mon Oct 14 2002 Gtz Waschk <waschk@linux-mandrake.com> 2.3.3.1-2mdk
- build wxGTK with soname, to make libification work

* Fri Sep 20 2002 Gtz Waschk <waschk@linux-mandrake.com> 2.3.3.1-1mdk

- changed license to the official dual license
- use included wxGTK version like recommended
- sync with official spec file
- renamed do wxPythonGTK
- new version

* Thu Sep  5 2002 Gtz Waschk <waschk@linux-mandrake.com> 2.3.2.1-4mdk
- remove unused patch
- rebuild with gcc 3.2

* Wed Jun  5 2002 Alexander Skwar <ASkwar@DigitalProjects.com> 2.3.2.1-3mdk
- Enable gizmos

* Fri May 17 2002 Gtz Waschk <waschk@linux-mandrake.com> 2.3.2.1-2mdk
- disable gizmos, doesn't build with gcc3.1
- build with gcc3.1

* Sat Apr 20 2002 Alexander Skwar <ASkwar@DigitalProjects.com> 2.3.2.1-1mdk
- First Mandrake release, based on spec by Robin Dunn <robin@alldunn.com>

